#include "client.h"

Client::Client(QObject *parent) :
    ClientBase(parent)
{
    m_socket = new QTcpSocket();
    connect(m_socket,SIGNAL(readyRead()),this,SLOT(readData()));
    connect(m_socket,SIGNAL(disconnected()),this,SLOT(Disconnection()));
}


void Client::connectToServer(QHostAddress addr)
{
    m_socket->connectToHost(addr,44461);
}

